﻿#region License Information
/* HeuristicLab
 * Copyright (C) 2002-2011 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
 *
 * This file is part of HeuristicLab.
 *
 * HeuristicLab is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * HeuristicLab is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
 */
#endregion

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace HeuristicLab.DataImporter.Command.View {
  public partial class SearchAndReplaceCommandView : SearchWithMatchOperationCommandView {
    public SearchAndReplaceCommandView()
      : base() {
      InitializeComponent();
      this.txtReplaceValue.Text = "0";
    }

    public SearchAndReplaceCommandView(SearchAndReplaceCommand command)
      : this() {
      this.Command = command;
    }

    public new SearchAndReplaceCommand Command {
      get { return (SearchAndReplaceCommand)base.Command; }
      set { base.Command = value; this.UpdateCommand(); }
    }

    public string ReplaceValue {
      get { return this.Command.ReplaceValue; }
    }

    private void txtReplaceValue_TextChanged(object sender, System.EventArgs e) {
      this.UpdateCommand();
    }

    private void UpdateCommand() {
      if (this.Command != null)
        this.Command.ReplaceValue = this.txtReplaceValue.Text;
    }
  }
}
